<?php

//SCANDIR_SORT_ASCENDING
//SCANDIR_SORT_DESCENDING

function getFoldersList($path, $sortingOrder) {
	$folderArray = array();
	foreach(array_diff(scandir($path, $sortingOrder), array('..', '.')) as $file) {
		if(is_dir($path.'/'.$file)) {
			array_push($folderArray, $file);
		}
	}
	return $folderArray;
}

function getFilesList($path, $fileFilter, $sortingOrder) {
	$fileArray = array();
	foreach(array_diff(scandir($path, $sortingOrder), array('..', '.')) as $file) {
		if(is_file($path.'/'.$file) && preg_match($fileFilter, $file)) {
			array_push($fileArray, $file);
		}
	}
	return $fileArray;
}

function isTextualFile($fileName) {
	if(preg_match(TEXTUAL_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function isTxtFile($fileName) {
	if(preg_match(TXT_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function isHtmlFile($fileName) {
	if(preg_match(HTML_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function isImageFile($fileName) {
	if(preg_match(IMAGE_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function isPdfFile($fileName) {
	if(preg_match(PDF_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function isCompressedFile($fileName) {
	if(preg_match(COMPRESSED_FILES_REGEXP, $fileName)) {
		return true;
	}
	return false;
}

function getFileNameNoExt($fileName) {
	return preg_replace(EXTRACT_FILE_NAMENOEXT_REGEXP, '$1', $fileName);
}

function getFileExtension($fileName) {
	return preg_replace(EXTRACT_FILE_EXTENSION_REGEXP, '$1', $fileName);
}

function addSuffixToFileName($fileName, $suffix) {
	return getFileNameNoExt($fileName).$suffix.'.'.getFileExtension($fileName);
}

function removeSuffixFromFileName($fileName, $suffix) {
	return preg_replace('/^(.*)'.$suffix.'(\.'.getFileExtension($fileName).')$/i', '$1$2', $fileName);
}

function getTextualFileContent($fileName) {
	return mb_convert_encoding(file_get_contents($fileName), CHAR_ENCODING);
}

?>